

C=======================================================================
      MODULE AvgParams
      
C     Variables used for averaging surface characteristics
C=======================================================================

      USE MyConstants
      USE LandCoverParams

      IMPLICIT NONE

C --- Counts for each land use category by sector
C     bowen ratio and albedo; surface roughness
      INTEGER :: LandCoverBr(MaxSectors,0:NumLCTypes-1) 
      INTEGER :: LandCoverAlb(MaxSectors,0:NumLCTypes-1)    
      INTEGER :: LandCoverZ0(MaxSectors,0:NumLCTypes-1)
 
C --- Total cell counts by sector (INCLUDE missing data and out of boundary)
C     bowen ratio and albedo; surface roughness
      INTEGER :: LandCovTotBr(MaxSectors)   
      INTEGER :: LandCovTotAlb(MaxSectors)
      INTEGER :: LandCovTotZ0(MaxSectors)   
             
C --- Total cell counts by sector (EXCLUDE missing data and out of boundary)
C     bowen ratio and albedo; surface roughness
      INTEGER :: LCCountBr(MaxSectors)
      INTEGER :: LCCountAlb(MaxSectors)
      INTEGER :: LCCountZ0(MaxSectors)
      

C --- Arrays used to hold a running sum of surface values by sector
C     up to 12 averaging periods (annual(1), seasonal(1-4), months(1-12))
      REAL    :: AlbSum(MaxSectors,12)
      REAL    :: Z0Sum(MaxSectors,12)
      REAL    :: BowenSum(MaxSectors,12)
      
c --- Arrays used to hold sum of 1/distance for distance weighted averaging
      REAL    :: InvDSumZo(MaxSectors,12) ! Hold sum 1/d^InvDPwr   

C --- Arrays hold averaged values of surface characteristics by sector
C     up to 12 averaging periods (annual(1), season(1-4), months(1-12))

      REAL    :: AvgAlbedo(MaxSectors,12)
      REAL    :: AvgZ0(MaxSectors,12)
      REAL    :: AvgBowen(MaxSectors,12)
      
      
C ----------------------------------------------------------------------
C     Inverse Distance averaging method - specific variables
C ----------------------------------------------------------------------  
      
C --- Exponent for distance for Inverse Distance averaging method
      
      INTEGER              :: InvDPwr = 1  ! for roughness
      
C --- Multiplier to compute limit on minimum distance from study center to 
C     pixel center.  As distance goes to zero, influence of pixel on on 
C     the average increases.  If distance is zero, will get error. 
C     Minimum distance is some fraction or percent of the pixel resolution 
      DOUBLE PRECISION     :: MinDFactr = 0.5D0 ! for roughness
      
C --- Minimum distance limit from study center to pixel center used in 
C     computing weighted inverse distance average of roughness
      DOUBLE PRECISION     :: MinD


      
      END MODULE AvgParams