

C=======================================================================
      MODULE MyConstants
      
C=======================================================================

      IMPLICIT NONE
      SAVE
      
      CHARACTER*10, PARAMETER   :: Version = '13016'

      DOUBLE PRECISION, PARAMETER :: PI = 3.14159265359D0
      DOUBLE PRECISION, PARAMETER :: Deg2Rad = PI/180.0D0
      DOUBLE PRECISION, PARAMETER :: Rad2Deg = 180.0D0/PI

      INTEGER, PARAMETER :: MaxSectors = 12
      
      REAL, PARAMETER    :: ExceedTrans = 0.1     ! Exceedence limit (decimal percent) for Transition landcover
      REAL, PARAMETER    :: ExceedMissLow = 0.001 ! Lower Exceedence limit (decimal percent) for Missing landcover
      REAL, PARAMETER    :: ExceedMissHi = 0.5    ! Upper Exceedence limit (decimal percent) for Missing landcover
      
      INTEGER, PARAMETER :: TransCode = 33        ! Landcover code for Transition category (1992 NLCD Only)
      INTEGER, PARAMETER :: MissCode  = 0         ! Landcover code for Missing data

C --- Season Labels based on Seasonal Categories in the deposition algorithms in AERMOD 
      CHARACTER (LEN=*), PARAMETER :: WinWSnowLbl = 
     & 'Winter with continuous snow on the ground'
      CHARACTER (LEN=*), PARAMETER :: WinNoSnowLbl = 
     & 'Late autumn after frost and harvest, or winter with no snow'
      CHARACTER (LEN=*), PARAMETER :: SpringLbl = 
     & 'Transitional spring (partial green coverage, short annuals)'
      CHARACTER (LEN=*), PARAMETER :: SummerLbl = 
     & 'Midsummer with lush vegetation'      
      CHARACTER (LEN=*), PARAMETER :: AutumnLbl = 
     & 'Autumn with unharvested cropland'  

      
      END MODULE MyConstants