      SUBROUTINE ConsolSfcVals

C ---------------------------------------------------------------------
C     Load reference surface value arrays.  Handles variation
C     related to site characteristics - airport, arid
C ---------------------------------------------------------------------

      USE LandCoverParams
      USE MyConstants
      USE UserParams
      USE ControlParams
      USE AvgParams

      IMPLICIT NONE

C     sfc moisture, adjust bowen ratio for average, wet, dry
      DO i=0, NumLCTypes-1
         DO j=1, SeasVar
            IF( Moisture == 'A') THEN
                Bowen(i,j) = BowenAvg(i,j)
            ELSEIF( Moisture == 'W') THEN
                Bowen(i,j) = BowenWet(i,j)
            ELSEIF( Moisture == 'D') THEN
                Bowen(i,j) = BowenDry(i,j)
            ENDIF
         ENDDO
      ENDDO

C     airport - adjust sfc roughness array
      select case(nlcdType)
      case(1992)
         IF( Airport ) THEN
            DO j=1, SeasVar
               Z0(23,j) = Z0_Airp(23,j)
            END DO  
         ELSE
            DO j=1, SeasVar
               Z0(23,j) = Z0_NAirp(23,j)
            END DO
         END IF
              
      end select
      
C     arid - adjust sfc roughness array, albedo, bowen ratio
      select case(nlcdType)
      case(1992)
         IF( Arid ) THEN
            DO j=1, SeasVar
               Z0(31,j) = Z0_Ar(31,j)
               Z0(51,j) = Z0_Ar(51,j)
               Albedo(31,j) = Albedo_Ar(31,j)
               Albedo(51,j) = Albedo_Ar(51,j)
               IF( Moisture == 'A') THEN
                  Bowen(31,j) = BowenAvg_Ar(31,j)
                  Bowen(51,j) = BowenAvg_Ar(51,j)
               ELSEIF( Moisture == 'W') THEN
                  Bowen(31,j) = BowenWet_Ar(31,j)
                  Bowen(51,j) = BowenWet_Ar(51,j)
               ELSEIF( Moisture == 'D') THEN
                  Bowen(31,j) = BowenDry_Ar(31,j)
                  Bowen(51,j) = BowenDry_Ar(51,j)
               END IF
            END DO
         ELSE
            DO j=1, SeasVar
               Z0(31,j) = Z0_NAr(31,j)
               Z0(51,j) = Z0_NAr(51,j)
               Albedo(31,j) = Albedo_NAr(31,j)
               Albedo(51,j) = Albedo_NAr(51,j)
               IF( Moisture == 'A') THEN
                  Bowen(31,j) = BowenAvg_NAr(31,j)
                  Bowen(51,j) = BowenAvg_NAr(51,j)
               ELSEIF( Moisture == 'W') THEN
                  Bowen(31,j) = BowenWet_NAr(31,j)
                  Bowen(51,j) = BowenWet_NAr(51,j)
               ELSEIF( Moisture == 'D') THEN
                  Bowen(31,j) = BowenDry_NAr(31,j)
                  Bowen(51,j) = BowenDry_NAr(51,j)
               END IF
            END DO
         END IF
         
      end select
      
      RETURN
      
      END SUBROUTINE
      