      SUBROUTINE InitLCSurfChar
      
C --- Populate Surface Characterist arrays with seasonal values
C --- and category descriptions based on NLCD version used (1992).
      
      use ControlParams
      use LandCoverParams
      
      implicit none

      INTEGER :: inum
      
      select case(nlcdType)

      ! 1-Wnt w/o snow, 2-Wnt w/snow
      ! 3,4,5 - Spr,Sum,Fall
      
C ----------------------------------------------------------------------
C --- 1992 
C ----------------------------------------------------------------------
      case(1992)

C        ----------------
C        ---- ALBEDO ----
C        ----------------
   
         Albedo(11,:)     = (/0.1, 0.1, 0.1, 0.1, 0.1/)
         Albedo(12,:)     = (/0.7, 0.7, 0.6, 0.6, 0.6/)
         Albedo(21,:)     = (/0.18, 0.45, 0.16, 0.16, 0.16/)
         Albedo(22,:)     = (/0.18, 0.35, 0.18, 0.18, 0.18/)
         Albedo(23,:)     = (/0.18, 0.35, 0.18, 0.18, 0.18/)
         Albedo_Ar(31,:)  = (/0.2, -99.0, 0.2, 0.2, 0.2/)
         Albedo_NAr(31,:) = (/0.2, 0.6, 0.2, 0.2, 0.2/)
         Albedo(32,:)     = (/0.2, 0.6, 0.2, 0.2, 0.2/)
         Albedo(33,:)     = (/0.18, 0.45, 0.18, 0.18, 0.18/)
         Albedo(41,:)     = (/0.17, 0.5, 0.16, 0.16, 0.16/)
         Albedo(42,:)     = (/0.12, 0.35, 0.12, 0.12, 0.12/)
         Albedo(43,:)     = (/0.14, 0.42, 0.14, 0.14, 0.14/)
         Albedo_Ar(51,:)  = (/0.25, -99.0, 0.25, 0.25, 0.25/)
         Albedo_NAr(51,:) = (/0.18, 0.5, 0.18, 0.18, 0.18/)
         Albedo(61,:)     = (/0.18, 0.5, 0.14, 0.18, 0.18/)
         Albedo(71,:)     = (/0.2, 0.6, 0.18, 0.18, 0.18/)
         Albedo(81,:)     = (/0.18, 0.6, 0.14, 0.2, 0.2/)
         Albedo(82,:)     = (/0.18, 0.6, 0.14, 0.2, 0.2/)
         Albedo(83,:)     = (/0.18, 0.6, 0.14, 0.2, 0.2/)
         Albedo(84,:)     = (/0.18, 0.6, 0.18, 0.18, 0.18/)
         Albedo(85,:)     = (/0.18, 0.6, 0.15, 0.15, 0.15/)
         Albedo(91,:)     = (/0.14, 0.3, 0.14,0.14, 0.14/)
         Albedo(92,:)     = (/0.14, 0.3, 0.14,0.14, 0.14/)
   

C        -----------------------
C        ---- SFC ROUGHNESS ----
C        -----------------------

         Z0(11,:)       = (/0.001, 0.001, 0.001, 0.001, 0.001/)
         Z0(12,:)       = (/0.002, 0.002, 0.002, 0.002, 0.002/)
         Z0(21,:)       = (/0.30, 0.30, 0.40, 0.40, 0.40/)        ! Weighted GM 22,43&85
         Z0(22,:)       = (/1.0, 1.0, 1.0, 1.0, 1.0/)
         Z0_Airp(23,:)  = (/0.07, 0.07, 0.07, 0.07, 0.07/)        ! Weighted GM 22&31
         Z0_NAirp(23,:) = (/0.7, 0.7, 0.7, 0.7, 0.7/)             ! Weighted GM 22&31
         Z0_Ar(31,:)    = (/0.05, -99.0, 0.05, 0.05, 0.05/)
         Z0_NAr(31,:)   = (/0.05, 0.05, 0.05, 0.05, 0.05/)
         Z0(32,:)       = (/0.3, 0.3, 0.3, 0.3, 0.3/)
         Z0(33,:)       = (/0.2, 0.2, 0.2, 0.2, 0.2/)
         Z0(41,:)       = (/0.6, 0.5, 1.0, 1.3, 1.3/)
         Z0(42,:)       = (/1.3, 1.3, 1.3, 1.3, 1.3/)
         Z0(43,:)       = (/0.9, 0.8, 1.1, 1.3, 1.3/)             ! Weighted GM 41&42
         Z0_Ar(51,:)    = (/0.15, -99.0, 0.15, 0.15, 0.15/)
         Z0_NAr(51,:)   = (/0.3, 0.15, 0.3, 0.3, 0.3/)
         Z0(61,:)       = (/0.1, 0.05, 0.2, 0.3, 0.3/)
         Z0(71,:)       = (/0.01, 0.005, 0.05, 0.1, 0.1/)
         Z0(81,:)       = (/0.02, 0.01, 0.03, 0.15, 0.15/)
         Z0(82,:)       = (/0.02, 0.01, 0.03, 0.2, 0.2/)
         Z0(83,:)       = (/0.02, 0.01, 0.03, 0.15, 0.15/)
         Z0(84,:)       = (/0.02, 0.01, 0.02, 0.05, 0.05/)
         Z0(85,:)       = (/0.01, 0.005, 0.015, 0.02, 0.015/)
         Z0(91,:)       = (/0.4, 0.3, 0.5, 0.5, 0.5/)             ! Weighted GM 43&92
         Z0(92,:)       = (/0.2, 0.1, 0.2, 0.2, 0.2/)
   
   
C        -------------------------------
C        ---- BOWEN RATIO - Average ----
C        -------------------------------

         BowenAvg(11,:)     = (/0.1, 0.1, 0.1, 0.1, 0.1/)
         BowenAvg(12,:)     = (/0.5, 0.5, 0.5, 0.5, 0.5/)
         BowenAvg(21,:)     = (/1.0, 0.5, 0.8, 0.8, 1.0/)
         BowenAvg(22,:)     = (/1.5, 0.5, 1.5 ,1.5, 1.5/)
         BowenAvg(23,:)     = (/1.5, 0.5, 1.5 ,1.5, 1.5/)
         BowenAvg_Ar(31,:)  = (/6.0, -99.0, 3.0, 4.0, 6.0/)
         BowenAvg_NAr(31,:) = (/1.5, 0.5, 1.5, 1.5, 1.5/)
         BowenAvg(32,:)     = (/1.5, 0.5, 1.5 ,1.5, 1.5/)
         BowenAvg(33,:)     = (/1.0, 0.5, 1.0, 1.0, 1.0/)
         BowenAvg(41,:)     = (/1.0, 0.5, 0.7, 0.3, 1.0/)
         BowenAvg(42,:)     = (/0.8, 0.5, 0.7, 0.3, 0.8/)
         BowenAvg(43,:)     = (/0.9, 0.5, 0.7, 0.3, 0.9/)
         BowenAvg_Ar(51,:)  = (/6.0, -99.0, 3.0, 4.0, 6.0/)
         BowenAvg_NAr(51,:) = (/1.5, 0.5, 1.0, 1.0, 1.5/)
         BowenAvg(61,:)     = (/0.7, 0.5, 0.3, 0.5, 0.7/)
         BowenAvg(71,:)     = (/1.0, 0.5, 0.4, 0.8, 1.0/)
         BowenAvg(81,:)     = (/0.7, 0.5, 0.3, 0.5, 0.7/)
         BowenAvg(82,:)     = (/0.7, 0.5, 0.3, 0.5, 0.7/)
         BowenAvg(83,:)     = (/0.7, 0.5, 0.3, 0.5, 0.7/)
         BowenAvg(84,:)     = (/0.7, 0.5, 0.3, 0.5, 0.7/)
         BowenAvg(85,:)     = (/0.7, 0.5, 0.3, 0.5, 0.7/)
         BowenAvg(91,:)     = (/0.2, 0.5, 0.2, 0.2, 0.2/)
         BowenAvg(92,:)     = (/0.1, 0.5, 0.1, 0.1, 0.1/)


C        ---------------------------
C        ---- BOWEN RATIO - Wet ----
C        ---------------------------

         BowenWet(11,:)     = (/0.1, 0.1, 0.1, 0.1, 0.1/)
         BowenWet(12,:)     = (/0.5, 0.5, 0.5, 0.5, 0.5/)
         BowenWet(21,:)     = (/0.6, 0.5, 0.6, 0.6, 0.6/)
         BowenWet(22,:)     = (/1.0, 0.5, 1.0, 1.0, 1.0/)
         BowenWet(23,:)     = (/1.0, 0.5, 1.0, 1.0, 1.0/)
         BowenWet_Ar(31,:)  = (/2.0, -99.0, 1.0, 1.5, 2.0/)
         BowenWet_NAr(31,:) = (/1.0, 0.5, 1.0, 1.0, 1.0/)
         BowenWet(32,:)     = (/1.0, 0.5, 1.0, 1.0, 1.0/)
         BowenWet(33,:)     = (/0.7, 0.5, 0.7, 0.7, 0.7/)
         BowenWet(41,:)     = (/0.4, 0.5, 0.3, 0.2, 0.4/)
         BowenWet(42,:)     = (/0.3, 0.5, 0.3, 0.2, 0.3/)
         BowenWet(43,:)     = (/0.35, 0.5, 0.3, 0.2, 0.35/)
         BowenWet_Ar(51,:)  = (/2.0, -99.0, 1.0, 1.5, 2.0/)
         BowenWet_NAr(51,:) = (/1.0, 0.5, 0.8, 0.8, 1.0/)
         BowenWet(61,:)     = (/0.4, 0.5, 0.2, 0.3, 0.4/)
         BowenWet(71,:)     = (/0.5, 0.5, 0.3, 0.4, 0.5/)
         BowenWet(81,:)     = (/0.4, 0.5, 0.2, 0.3, 0.4/)
         BowenWet(82,:)     = (/0.4, 0.5, 0.2, 0.3, 0.4/)
         BowenWet(83,:)     = (/0.4, 0.5, 0.2, 0.3, 0.4/)
         BowenWet(84,:)     = (/0.4, 0.5, 0.2, 0.3, 0.4/)
         BowenWet(85,:)     = (/0.4, 0.5, 0.2, 0.3, 0.4/)
         BowenWet(91,:)     = (/0.1, 0.5, 0.1, 0.1, 0.1/)
         BowenWet(92,:)     = (/0.1, 0.5, 0.1, 0.1, 0.1/)
   

C        ---------------------------
C        ---- BOWEN RATIO - Dry ----
C        ---------------------------

         BowenDry(11,:)     = (/0.1, 0.1, 0.1, 0.1, 0.1/)
         BowenDry(12,:)     = (/0.5, 0.5, 0.5, 0.5, 0.5/)
         BowenDry(21,:)     = (/2.5, 0.5, 2.0, 2.0, 2.5/)
         BowenDry(22,:)     = (/3.0, 0.5, 3.0, 3.0, 3.0/)
         BowenDry(23,:)     = (/3.0, 0.5, 3.0, 3.0, 3.0/)
         BowenDry_Ar(31,:)  = (/10.0, -99.0, 5.0, 6.0, 10.0/)
         BowenDry_NAr(31,:) = (/3.0, 0.5, 3.0, 3.0, 3.0/)
         BowenDry(32,:)     = (/3.0, 0.5, 3.0, 3.0, 3.0/)
         BowenDry(33,:)     = (/2.0, 0.5, 2.0, 2.0, 2.0/)
         BowenDry(41,:)     = (/2.0, 0.5, 1.5, 0.6, 2.0/)
         BowenDry(42,:)     = (/1.5, 0.5, 1.5, 0.6, 1.5/)
         BowenDry(43,:)     = (/1.75, 0.5, 1.5, 0.6, 1.75/)
         BowenDry_Ar(51,:)  = (/10.0, -99.0, 5.0, 6.0, 10.0/)
         BowenDry_NAr(51,:) = (/3.0, 0.5, 2.5, 2.5, 3.0/)
         BowenDry(61,:)     = (/2.0, 0.5, 1.0, 1.5, 2.0/)
         BowenDry(71,:)     = (/2.0, 0.5, 1.0, 2.0, 2.0/)
         BowenDry(81,:)     = (/2.0, 0.5, 1.0, 1.5, 2.0/)
         BowenDry(82,:)     = (/2.0, 0.5, 1.0, 1.5, 2.0/)
         BowenDry(83,:)     = (/2.0, 0.5, 1.0, 1.5, 2.0/)
         BowenDry(84,:)     = (/2.0, 0.5, 1.0, 1.5, 2.0/)
         BowenDry(85,:)     = (/2.0, 0.5, 1.0, 1.5, 2.0/)
         BowenDry(91,:)     = (/0.2, 0.5, 0.2, 0.2, 0.2/)
         BowenDry(92,:)     = (/0.2, 0.5, 0.2, 0.2, 0.2/)


         DO inum = 0, NumLCTypes-1
            LCSurfChar(inum) = NLCDCOVERAGE(inum,'')
         ENDDO
         
         LCSurfChar(0)  = NLCDCOVERAGE(0,
     &                   'Missing, Out-of-Bounds, or Undefined')

         LCSurfChar(11) = NLCDCOVERAGE(11,'Open Water')
         LCSurfChar(12) = NLCDCOVERAGE(12,'Perennial Ice/Snow')

         LCSurfChar(21) = NLCDCOVERAGE(21,'Low Intensity Residential')
         LCSurfChar(22) = NLCDCOVERAGE(22,'High Intensity Residential')
         LCSurfChar(23) = NLCDCOVERAGE(23,
     &                   'Commercial/Industrial/Transp')

         LCSurfChar(31) = NLCDCOVERAGE(31,'Bare Rock/Sand/Clay')
         LCSurfChar(32) = NLCDCOVERAGE(32,'Quarries/Strip Mines/Gravel')
         LCSurfChar(33) = NLCDCOVERAGE(33,'Transitional')

         LCSurfChar(41) = NLCDCOVERAGE(41,'Deciduous Forest')
         LCSurfChar(42) = NLCDCOVERAGE(42,'Evergreen Forest')
         LCSurfChar(43) = NLCDCOVERAGE(43,'Mixed Forest')

         LCSurfChar(51) = NLCDCOVERAGE(51,'Shrubland')

         LCSurfChar(61) = NLCDCOVERAGE(61,'Orchards/Vineyard/Other')

         LCSurfChar(71) = NLCDCOVERAGE(71,'Grasslands/Herbaceous')

         LCSurfChar(81) = NLCDCOVERAGE(81,'Pasture/Hay')
         LCSurfChar(82) = NLCDCOVERAGE(82,'Row Crops')
         LCSurfChar(83) = NLCDCOVERAGE(83,'Small Grains')
         LCSurfChar(84) = NLCDCOVERAGE(84,'Fallow')
         LCSurfChar(85) = NLCDCOVERAGE(85,'Urban/Recreational Grasses')

         LCSurfChar(91) = NLCDCOVERAGE(91,'Woody Wetlands')
         LCSurfChar(92) = NLCDCOVERAGE(92,
     &                   'Emergent Herbaceous Wetlands')


      end select

      END SUBROUTINE InitLCSurfChar